type Actions = {
    type: "next_step";
} | {
    type: "prev_step";
} | {
    type: "set_step";
    payload: State["step"];
} | {
    type: "set_tab";
    payload: State["tab"];
};
export type State = {
    step: "goal" | "connect" | "assets" | "summary" | "finish";
    tab: "visuals" | "texts";
};
export declare const defaultState: State;
export declare function reducer(state: any, action: Actions): any;
export declare function nextStep(dispatch: any): void;
export declare function previousStep(dispatch: any): void;
export declare function setStep(dispatch: any, step: State["step"]): void;
export declare function setTab(dispatch: any, tab: State["tab"]): void;
export declare function moveToTab(dispatch: any, tab: State["tab"]): void;
export {};
